Description

Heobxoammo paspaboTath knacc ERRTelescopeRawConverter(yHacnenoBaHHbiin o1 FairTask) koHBepTauuy pesynbtaToB
ONOXUTU3auMm n3 doopMbl MPUHATON B er B POPMY CbIPbIX AaHHbIX 415 KOTOPOM yXe CylecTByeT Ko aHanmaa.

DaHHbili Tack 6yaeT BbI3biBAaTHCS NOCNE Tacka AUAXMTU3aLMK, CO30AHHOMO B paMKax (
http:/er.jinr.ru/develop/issues/63,http:/er.jinr.ru/develop/issues/69). To ecTb [0 Bbi30Ba TOr0 Tacka yxe 6ynyT cpopMmMpoBaHHbI
o06bekTbl TUNa ERRtelescopeSiDigi n ERRtelescopeCsIDigi.

Teneckon B akcrnepuMeHTe Beb - 310 cbopka U3 Tpex AeTekTopoBs, [iBa U3 KOTopbIX - KpeMHUIA, 1 oamH- Csl. OetekTop Csl coctonT
13 16 KpUCTaNNOB, CHNTHIBAEMBIX MHAMBULYANBHO.

Takum 06pa3om, ecTb 2 Teneckona, BKoyatowmx B cebsi B cyMMe 6 0eTeKTopoB. Y Kaxaoro getektopa ectb nmbo 64 (32
cekTopa+32 konbua y Si) nnbo 16 (kpuctannos y Csl) kaHanos cunteiaHus. MonpobHocTn B anuccepe Bpatucnasa.

To ecTb nocne ERRTelescopeDigitizer B BbixonHoM dhaiine 6ynyTt cpopmmpoaHbl BeTku ¢ ERRTelescopeSiDigi, kKoTopble XpaHsT B
cebe MHGOPMALIMIO C KaKOM MMEHHO MO CYETY CTaHLMU TENECKONa OHW CHATbLI, MPUHAANEeXaT KonbLam nnym cektopam, HoMep
kaHana n ERRTelescopeCsIDigi, koTopble conepxar B cebe MHIOPMaLMIO 0 TOM C KakKoi MMEHHO cTaHumn Csl OHU CHATBI U HoMep
kpuctana Csl.

BbixogHbIM 06 bekToM Tacka siensetca 06bekT AculRaw. Ero kon HyxHo bynet nobaeuTb B telescope/data n nobasuts B
KoMnunnaumio.

B naHHOM 06bekTe knoueBbiM aTpnbyTom siBnsietcs maccms C3[24][16] (3To Ha camoM aene 384 pa3HbiX KaHanoB 13 KOTOPbIX
NCMONb3yeM MeHblLUe, YeM MOMOBUHY).

To ecTb B Maccu C3[i][j] &ns KaxAoro cobbiTvs 3anonHaeM nHpopMaumio 06 3Heprmmn 13 Bcex NeTEKTOPOB U BPEMEHM
(koHCTaHTHOE

3HayeHune 2000) 13 CEKTOPOB BTOPOro CNOS KaxX4oro Teneckona. HeobxoauMo BBECTM NpoLeaypy COOTHECEHUS, KoTopast
NoO3BONSET BLINONHATL NEPEexoapl Tuna:

(ERRTelescopeSiDigi->StationNb(), ERRTelescopeSiDigi->Type(), ERRTelescopeSiDigi->ChanelNb(),Edep nnn Time) -> C3]i][j]
(roe Type() - konbLa nnn cekTopa)

(ERRTelescopeCsIDigi->StationNb(), ERRTelescopeCsIDigi->ChanelNb(), Edep nan Time) -> C3[i][j]

Amnnutyna curHana B digi BolpaxeHa B aHepreTuyeckux MeV, a B C3 Hano nucatb B otcyetax ALMM. Mepexon Mex oy HUMKU Bynem
Ha3blBaTb "aHTUKaNMBPOBKOR", KoTopas obpaTHa kanmbpoBKe BbINOHSIOWENCS MO Cneayowmein npoueaype:

E =a*X+b gna Si

E = cnctema ypaBHeHuin (OHa y Hac ecTb),3aBucswwas ot a, b, ¢, c2, p, N1, N2 ons Csl

E - Mbl 6epeém 13 digi->Edep(),

a, b - kanmbpoBoHbIE NapaMeTpbl U3 goarinos ¢ pacwunpeHvem .cal (beSi.cal, beCsla.cal, beCslp.cal)

c1, ¢c2 - 310 KO3ah PMLEHTbLI, KOTopble 0becneynBatoT rNaaKocTb rpagouka (0AMHaAKOBbIE 4/BCEro Ynucna cobbiTuiA o/KOHKPETHOrO
KprcTanna n KOHKPETHOR YacTuubl (MPOTOH Unn anbga))

History

#1 - 08/18/2017 11:30 AM - Sergey Belogurov
http://er.jinr.ru/develop/issues/63,http://er.jinr.ru/develop/issues/69

- Description updated

B aTOT MaccvB Anst KaxAoro cobbiTvs 3anonHsSeM UHCpopMaLMio 06 SHEPrUM U3 BCEX NETEKTOPOB U BPEMEHU (KOHCTAHTHOE 3HaveHne 2000) u3
CEeKTOPOB BTOPOro Cnos Kaxgoro Teneckona.”

#2 - 08/18/2017 11:32 AM - Sergey Belogurov

- Description updated

#3 - 08/23/2017 04:54 PM - Anonymous

BbixogHbIM 06 bekToM Tacka sensertcs o6 bekt AculRaw.

To ecTb B MaccuB C3[i][j] &ns kaxaoro cobbiTus 3anonHsSeM UHGOpPMaLMo 06 SHeprumn 13 Bcex LeTeKTOPOB U BPEMEHU (KOHCTAHTHOE
3Ha4veHue 2000) 13 cekTOpoB BTOPOro C/IOS KaXA0ro Teneckona.

Ckonbko 06bekToB AculRaw [ONXHO ocTathbCs Ha BbixoAe ? BpaTtucnas Hanvcan B nucbMe, YTO OAUH. Ho ecnu ans kaxnoro cobeiTvs Mbil
3anosnHsieM Maccys, To 06ekToB ByneT ropasno 6onbiue.

#4 - 08/24/2017 03:52 PM - Anonymous

Y Hac ecTb ABa kanubpaBoyHbIx cpaiina nns Csl. OouH nns NpoTOHOB, OPYroi AN anbga-yacTuy. Mel UICMONb3YEM OAMH U3 HUX B 3aBUCUMOCTU OT
TOro, Kakoin yanctuuer ctpensem? Kak Ham 13 OunXu y3Hatb, Kakoi yacTtuuein ctpensann? Mnum ato Hano 6ynet B kone pyHkuum GetParameters
(cbyHKUMS, BO3BpaLlaoLwas kannbpoBoyHble napameTpbl Ans AaHHoro getektopa) knacca ERRTelescopeRawConverter MeHsiTb BXO4HOM doarin?

#5 - 08/24/2017 03:58 PM - Vitaliy Schetinin

S nymato npocTto fonxeH 6biTb Meto RRTelescopeRawConverter::SetCalibrationFile(file_name). M ¢ nomowpto Hero B Makpoce ykasblBaTb Kakoi
ann ncnonb3oBatb

#6 - 08/24/2017 05:53 PM - Sergey Belogurov

Ceityac, npu oTnanke, koraa Bbl 3HaeTe, YeM CTpensieTe, MOXHO caenatb, kak Butanvk Hanucan. Oanbwe 6ynet nobasneH dounsmnyeckmii
reHepaTop, koTopblii 6yaeT B Kaxnoe cobbiTve AaBaTtb anbga-4yacTuiy 1 ABa NpoToHa. Ha HacToAWmMX AaHHbIX ANs pa3feneHuns 4acTu
ucnonbayetcsa aHanu3 OenbtakE/E, (0THOWEHE N3MEPEHHOro B NEPBOM CII0€ 3HEeProBblaeNeHns K CyMMe SHeproBblaeneHnin Bo Bcex cnosix). Ha
MoHTe Kapno naHHbIx Takoe pasaeneHvie 6yneTt XopownM, No3ToMy Bbl MO 6bl MPUMEHUTH 3TOT NOAXOA B NPOLIECCe aHTUKannMbpoBKM, HO 3TO
naeonornyeckn HesepHo. NpasnnbHO ncnonb3osatb T.H. MoHTe Kapno nHdgopmaumio. B kaxaom noiiHTe MoxHo nocmoTpetb PDG yacTuupl, 3T0T
MOMHT NOpoAMBLLE. HacTb NONHTOB MOXET BblTb CO3AaHa BTOPUYHBIMU AeNbTa-aNeKTPoHaMK, HO KaKoi-To NOMHT obs3aTenbHO co3aaH nmbo
anbgoit NMbo NPOTOHOM - Ha HEro N HaA0 OPUEHTNPOBATLCS.

Kak KOHKPETHO ,D,O6I/IpaBTbCFI no PDG yacTuubl 1 HAAo N 34eCb UCMONb30BaTh WHCTPYMEHT Nno4 Ha3saHueM MeT4ep nyduwe HanuweT Butanuk.

TyT BO3HUKAET npoénema, €CNn B O4MH Kpuctann nonanu Aee 4actuubl pasHOro copra. nOCKOﬂbe npun aHannse Takue cobbiTus BblKNObIBAOTCH,
NPOCTO NPUMEHANTE B 3TUX CNy4asx Kaﬂl/lﬁpOBKy Ons NpoToHa.
#7 - 11/03/2017 08:38 AM - Vitaliy Schetinin

Debaxy kon koHBepTepa. Oonucan aebarosblil BbIBOL 1 MOPaBU OTKPOBEHHbIE 6aru. Ceity K NpyrMepy eCnu NynbHYTb NPOTOH MOA YrIOM MOXHO
yBUOETb Takoii BbIBOA

[DEBUG ] Silicon digi: 0

[DEBUG ] telescope 1, detector 2, Side 1

[DEBUG ] parameter raw 48, a = 0.007156, b = -0.054972
[DEBUG ] edep 0.452609, ACP 70

[DEBUG ] Silicon digi: 0

[DEBUG ] telescope 2, detector 1, Side 1

[DEBUG ] parameter raw 112, a = 0.006742, b = 0.08254
[DEBUG ] edep 0.180875, ACP 14

[DEBUG ] Silicon digi: 0

[DEBUG ] telescope 2, detector 1, Side 0

[DEBUG ] parameter raw 124, a = 0.006465, b = 0.1915
[DEBUG ] edep 0.180875, ACP -1

[DEBUG ] Csl digi: 0

[DEBUG ] telescope 1

[DEBUG ] parameter raw 5, c1 = 0.0448149, b = -1.97111
[DEBUG ] edep 15.3923, ACP 362

[DEBUG ] Csl digi: 0

[DEBUG ] telescope 2

[DEBUG ] parameter raw 21, c1 = 0.0937682, b = 0.310998
[DEBUG ] edep 14.9856, ACP 100

Y MeHS HECKONbKO BOMPOCOB:
1) 4 npaBunbHO NOHMMAaLD, YTO KanMbpoBka pacunTaHa Ha aHepruo B MaB?

2) Heobxooum cpopmart cpaiina kannbpoBok

#8 - 11/03/2017 10:38 AM - Sergey Belogurov

[a, kannbposka B MaB.

#9 - 02/27/2019 07:28 AM - Vitaliy Schetinin

- Status changed from OrtkpsbiTa to 3akpeiTa
